Debian Bug report logs - #619347
ITP: jappix -- The first full-featured XMPP web-client in the world

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Philippe Gauthier <philippe.gauthier@deuxpi.ca>

Date: Wed, 23 Mar 2011 02:03:02 UTC

Owned by: Philippe Gauthier <philippe.gauthier@deuxpi.ca>

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, philippe.gauthier@deuxpi.ca, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#619347; Package wnpp. (Wed, 23 Mar 2011 02:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philippe Gauthier <philippe.gauthier@deuxpi.ca>:
New Bug report received and forwarded. Copy sent to philippe.gauthier@deuxpi.ca, debian-devel@lists.debian.org, wnpp@debian.org. (Wed, 23 Mar 2011 02:03:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Philippe Gauthier <philippe.gauthier@deuxpi.ca>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: jappix -- The first full-featured XMPP web-client in the world
Date: Tue, 22 Mar 2011 21:58:31 -0400
Package: wnpp
Severity: wishlist
Owner: Philippe Gauthier <philippe.gauthier@deuxpi.ca>

* Package name    : jappix
  Version         : 0.4
  Upstream Author : Valérian Saliou <vanaryon@vanaryon.eu>
* URL             : http://project.jappix.com/
* License         : AGPL
  Programming Lang: PHP, JavaScript
  Description     : The first full-featured XMPP web-client in the world

Jappix is a fresh new open social platform which enables you to create
your own cloud, wherever you want to.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Philippe Gauthier <philippe.gauthier@deuxpi.ca>:
Bug#619347; Package wnpp. (Wed, 23 Mar 2011 08:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <olivier.berger@it-sudparis.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Philippe Gauthier <philippe.gauthier@deuxpi.ca>. (Wed, 23 Mar 2011 08:42:03 GMT) Full text and rfc822 format available.

Message #10 received at 619347@bugs.debian.org (full text, mbox):

From: Olivier Berger <olivier.berger@it-sudparis.eu>
To: Philippe Gauthier <philippe.gauthier@deuxpi.ca>, 619347@bugs.debian.org
Subject: Re: Bug#619347: ITP: jappix -- The first full-featured XMPP web-client in the world
Date: Wed, 23 Mar 2011 09:37:57 +0100
Le mardi 22 mars 2011 à 21:58 -0400, Philippe Gauthier a écrit :

> 
> Jappix is a fresh new open social platform which enables you to create
> your own cloud, wherever you want to.

I'm not sure this description is really accurate, given the meaning that
"cloud" confers nowadays. I'd suggest to rephrase for something less
buzz word oriented, and more accurate of what the program allows to do.

My 2 cents,

Best regards,
-- 
Olivier BERGER <olivier.berger@it-sudparis.eu>
http://www-public.it-sudparis.eu/~berger_o/ - OpenPGP-Id: 2048R/5819D7E8
Ingénieur Recherche - Dept INF
Institut TELECOM, SudParis (http://www.it-sudparis.eu/), Evry (France)





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#619347; Package wnpp. (Wed, 23 Mar 2011 17:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philippe Gauthier <philippe.gauthier@deuxpi.ca>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 23 Mar 2011 17:06:03 GMT) Full text and rfc822 format available.

Message #15 received at 619347@bugs.debian.org (full text, mbox):

From: Philippe Gauthier <philippe.gauthier@deuxpi.ca>
To: <619347@bugs.debian.org>
Subject: Re: Bug#619347: ITP: jappix -- The first full-featured XMPP web-client in the world
Date: Wed, 23 Mar 2011 16:57:28 +0000
On Wed, 23 Mar 2011 09:37:57 +0100, Olivier Berger
<olivier.berger@it-sudparis.eu> wrote:
> I'm not sure this description is really accurate, given the meaning that
> "cloud" confers nowadays. I'd suggest to rephrase for something less
> buzz word oriented, and more accurate of what the program allows to do.

Thanks!

The description has been changed and an updated package has been uploaded
to mentors.debian.net:

Description: a full-featured XMPP (Jabber) web-client
 Jappix is a social platform based on the XMPP protocol. It supports
 instant messaging, presence, multi-party chat, and account and roster
 management. Jappix also has capabilities for integrating media such
 as YouTube, Dailymotion, Vimeo or Theora videos, audio or images, and
 can be used as a simple music player.
 .
 Jappix presents a full-featured web-based interface that users can
 access without installing any additional software. It may also allow
 the use of XMPP in restricted networking environments like some
 corporate networks on which XMPP ports are blocked. Users can also
 choose an alternative interface that has been simplified for mobile
 devices.

Also, the debian/README.source template was removed from the package.


-- 
Philippe Gauthier <philippe.gauthier@deuxpi.ca>
http://www.deuxpi.ca/





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Philippe Gauthier <philippe.gauthier@deuxpi.ca>:
Bug#619347; Package wnpp. (Wed, 23 Mar 2011 17:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Philippe Gauthier <philippe.gauthier@deuxpi.ca>. (Wed, 23 Mar 2011 17:30:02 GMT) Full text and rfc822 format available.

Message #20 received at 619347@bugs.debian.org (full text, mbox):

From: Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org>
To: Philippe Gauthier <philippe.gauthier@deuxpi.ca>, 619347@bugs.debian.org
Cc: metal@debian.org
Subject: Re: Bug#619347: ITP: jappix -- The first full-featured XMPP web-client in the world
Date: Wed, 23 Mar 2011 14:26:57 -0300
[Message part 1 (text/plain, inline)]
On Tue, Mar 22, 2011 at 09:58:31PM -0400, Philippe Gauthier wrote:
> Package: wnpp
> Severity: wishlist
> Owner: Philippe Gauthier <philippe.gauthier@deuxpi.ca>
> 
> * Package name    : jappix
>   Version         : 0.4
>   Upstream Author : Valérian Saliou <vanaryon@vanaryon.eu>
> * URL             : http://project.jappix.com/
> * License         : AGPL
>   Programming Lang: PHP, JavaScript
>   Description     : The first full-featured XMPP web-client in the world
> 
> Jappix is a fresh new open social platform which enables you to create
> your own cloud, wherever you want to.
> 
> 

Hello, Philippe.

How about doing that in the XMPP team? Marcelo, one of the members is
also part of the Javascript team and active on maintaining jsjac, a XMPP
library in JS. He has also done lots of PHP work in the past. I could
also lend a hand in testing too.

Cheers,
Cascardo.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 26 Jun 2011 20:09:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Philippe Gauthier <philippe.gauthier@deuxpi.ca>:
Bug#619347; Package wnpp. (Mon, 27 May 2013 13:37:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Philippe Gauthier <philippe.gauthier@deuxpi.ca>. (Mon, 27 May 2013 13:37:01 GMT) Full text and rfc822 format available.

Message #27 received at 619347@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 619347@bugs.debian.org
Cc: control@bugs.debian.org
Subject: jappix: changing back from ITP to RFP
Date: Mon, 27 May 2013 15:24:24 +0200
retitle 619347 RFP: jappix -- The first full-featured XMPP web-client in the world
noowner 619347
tag 619347 - pending
thanks

Hi,

This is an automatic email to change the status of jappix back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting jappix, please send a mail to
<control@bugs.debian.org> with:

 retitle 619347 ITP: jappix -- The first full-featured XMPP web-client in the world
 owner 619347 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <619347@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: jappix -- The first full-featured XMPP web-client in the world' from 'ITP: jappix -- The first full-featured XMPP web-client in the world' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 13:50:55 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Philippe Gauthier <philippe.gauthier@deuxpi.ca>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 13:50:55 GMT) Full text and rfc822 format available.

Removed tag(s) pending. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 13:50:56 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: jappix -- The first full-featured XMPP web-client in the world' from 'RFP: jappix -- The first full-featured XMPP web-client in the world' Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Fri, 21 Jun 2013 06:42:04 GMT) Full text and rfc822 format available.

Owner recorded as Philippe Gauthier <philippe.gauthier@deuxpi.ca>. Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Fri, 21 Jun 2013 06:42:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Philippe Gauthier <philippe.gauthier@deuxpi.ca>:
Bug#619347; Package wnpp. (Tue, 16 Jul 2013 14:39:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Pocock <daniel@pocock.com.au>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Philippe Gauthier <philippe.gauthier@deuxpi.ca>. (Tue, 16 Jul 2013 14:39:09 GMT) Full text and rfc822 format available.

Message #42 received at 619347@bugs.debian.org (full text, mbox):

From: Daniel Pocock <daniel@pocock.com.au>
To: 619347@bugs.debian.org, philippe.gauthier@deuxpi.ca
Subject: Jappix - clarification
Date: Tue, 16 Jul 2013 16:36:44 +0200
Hi Philippe,

Thanks for your efforts to make a package of Jappix, I am also
interested in trying it

I recently evaluated Candy, I notice it can only really do MUC chat
rooms and it had problems with doing private chats.  Is the Jappix
client known to be stable for both types of chat?

One thing that is not clear from the description: does it provide any
server-side capabilities?  I notice a lot of PHP code, I haven't looked
inside that, but is it doing any of the XMPP server-side functionality
in that code?  Can the JavaScript chat client be used standalone without
the PHP code, e.g. JavaScript just talking to the BOSH server (e.g.
ejabberd)?

Based on the above question, is it possible that the package could be
split into multiple packages, e.g. one package for the JavaScript client
and another package with the PHP stuff just for those people who want that?

Regards,

Daniel



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Philippe Gauthier <philippe.gauthier@deuxpi.ca>:
Bug#619347; Package wnpp. (Tue, 16 Jul 2013 15:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Pocock <daniel@pocock.com.au>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Philippe Gauthier <philippe.gauthier@deuxpi.ca>. (Tue, 16 Jul 2013 15:18:04 GMT) Full text and rfc822 format available.

Message #47 received at 619347@bugs.debian.org (full text, mbox):

From: Daniel Pocock <daniel@pocock.com.au>
To: 619347@bugs.debian.org, debian-mentors@lists.debian.org, philippe.gauthier@deuxpi.ca
Subject: testing the Jappix package from mentors
Date: Tue, 16 Jul 2013 17:15:09 +0200

Hi Philippe,

I've just tested your Jappix package from mentors

My testing is biased: I already had ejabberd running and I had already
used BOSH to integrate with the Candy chat client so my server was able
to run Jappix very quickly.  It took me all of about 5 minutes to get it
going.

So far, I feel the Jappix chat client is more reliable for both group
chat and private chat than the Candy client.  The Candy client would get
into a bad state after trying to start any private chat.

It was very easy for me to just disable the stuff in
/etc/apache2/conf.d/jappix.conf and set it up in a virtual host.  In my
Apache2 virtual host, I used the following to force it to work with my
ejabberd:

RewriteEngine On
# for Candy:
RewriteRule ^/example/http-bind/ http://ejabberd-host:5280/http-bind/ [P]
# for Jappix:
RewriteRule ^/http-bind http://ejabberd-host:5280/http-bind/ [P]

Various issues:

- I feel there are a lot of options in the Jappix setup wizard.  People
not familiar with Jabber may not know all the server names they need to
insert and the guesses are not going to be correct for a high percentage
of users.  This is an issue for upstream to improve.

- the user login form: there should be an easy way to customize it, many
people will just want the user logged in anonymously, without the full
form.  Candy has various login modes, in one case, it just asks the user
to choose a nick name.

- at one point, my Firefox test login dropped out of the chat session
with "Internal server error" but it was happy to log in again 5 seconds
later and showed the missed messages

- I don't think the setup wizard should appear the first time somebody
browses to the page: the admin password should be set during
installation perhaps.  With Drupal, it is necessary to browse to
install.php to force the setup wizard to run, so random visitors don't
start Drupal setup by accident.  This is not highly secure either, but
it removes some risk of random chance.

- Please add a README.Debian

- if you can, include something in README.Debian about how people can
integrate Jappix into their existing web site

- it would be particularly interesting if you provide, under
/usr/share/doc/jappix some sample ejabberd.cfg or a diff from the
default Debian ejabberd.cfg - I had to enable the mod_http_bind module,
declare a new domain for my anonymous web users and then declare that
http_bind was permitted for that domain.

- when I installed the .deb package, it tries to restart apache although
I have apache2, so it gives an error:

[ ok ] Reloading web server config: apache2.
Setting up jappix (0.9.8+dfsg-1) ...
invoke-rc.d: unknown initscript, /etc/init.d/apache not found.
[ ok ] Reloading web server config: apache2.

- the font you mentioned in an earlier email - is there any reason it
couldn't be listed in a separate source package in your control file?

Regards,

Daniel





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#619347; Package wnpp. (Tue, 16 Jul 2013 15:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philippe Gauthier <philippe.gauthier@deuxpi.ca>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 16 Jul 2013 15:42:04 GMT) Full text and rfc822 format available.

Message #52 received at 619347@bugs.debian.org (full text, mbox):

From: Philippe Gauthier <philippe.gauthier@deuxpi.ca>
To: Daniel Pocock <daniel@pocock.com.au>, 619347@bugs.debian.org
Subject: Re: Bug#619347: Jappix - clarification
Date: Tue, 16 Jul 2013 11:31:50 -0400
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi Daniel,


> Thanks for your efforts to make a package of Jappix, I am also 
> interested in trying it

The source and binary packages are available now on the Debian Mentors
page [0]. Even if they are not yet in the Debian archives, I try to
keep those packages up to date.

> I recently evaluated Candy, I notice it can only really do MUC
> chat rooms and it had problems with doing private chats.  Is the
> Jappix client known to be stable for both types of chat?

I run a test instance on https://jabber.deuxpi.ca/ that runs over
Prosody. It seems to work well enough for me. In the past, that same
server was running ejabberd and I remember it had major limitations.

> One thing that is not clear from the description: does it provide
> any server-side capabilities?  I notice a lot of PHP code, I
> haven't looked inside that, but is it doing any of the XMPP
> server-side functionality in that code?  Can the JavaScript chat
> client be used standalone without the PHP code, e.g. JavaScript
> just talking to the BOSH server (e.g. ejabberd)?

You are right. Jappix does not provide any server-side capabilities.
The JavaScript client is JSJac, which is also used by JWChat. If you
are looking for a simpler web client, you could look at that program
instead.

> Based on the above question, is it possible that the package could
> be split into multiple packages, e.g. one package for the
> JavaScript client and another package with the PHP stuff just for
> those people who want that?

This is a question that should be asked to the Jappix developer
themselves. I know they have a "mini" mode already so that the Jappix
code can be embedded into larger web apps.


[0] https://mentors.debian.net/package/jappix


Regards,


Philippe Gauthier <philippe.gauthier@deuxpi.ca>
http://www.deuxpi.ca/
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlHlZ2UACgkQdX62PscofCSO+wCgk+1Kr+bcI4MflYPjvsfn15gO
eVsAn0qwC6VRGBvdFrluHn7Ztqfp7Mfj
=0OEy
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#619347; Package wnpp. (Tue, 16 Jul 2013 16:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philippe Gauthier <philippe.gauthier@deuxpi.ca>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 16 Jul 2013 16:06:04 GMT) Full text and rfc822 format available.

Message #57 received at 619347@bugs.debian.org (full text, mbox):

From: Philippe Gauthier <philippe.gauthier@deuxpi.ca>
To: Daniel Pocock <daniel@pocock.com.au>, 619347@bugs.debian.org
Cc: debian-mentors@lists.debian.org
Subject: Re: Bug#619347: testing the Jappix package from mentors
Date: Tue, 16 Jul 2013 12:02:39 -0400
Hi Daniel,

Thanks for testing the package. I am not a member of the upstream
developers, but they have been very responsive to our comments so far.
> My testing is biased: I already had ejabberd running and I had already
> used BOSH to integrate with the Candy chat client so my server was able
> to run Jappix very quickly.  It took me all of about 5 minutes to get it
> going.
> 
> So far, I feel the Jappix chat client is more reliable for both group
> chat and private chat than the Candy client.  The Candy client would get
> into a bad state after trying to start any private chat.
> 
> It was very easy for me to just disable the stuff in
> /etc/apache2/conf.d/jappix.conf and set it up in a virtual host.  In my
> Apache2 virtual host, I used the following to force it to work with my
> ejabberd:
> 
> RewriteEngine On
> # for Candy:
> RewriteRule ^/example/http-bind/ http://ejabberd-host:5280/http-bind/ [P]
> # for Jappix:
> RewriteRule ^/http-bind http://ejabberd-host:5280/http-bind/ [P]

I will add this line to the /etc/apache2/conf.d/jappix.conf file
(possibly commented out). This is also the configuration I was using on
Apache.

> Various issues:
> 
> - I feel there are a lot of options in the Jappix setup wizard.  People
> not familiar with Jabber may not know all the server names they need to
> insert and the guesses are not going to be correct for a high percentage
> of users.  This is an issue for upstream to improve.
> 
> - the user login form: there should be an easy way to customize it, many
> people will just want the user logged in anonymously, without the full
> form.  Candy has various login modes, in one case, it just asks the user
> to choose a nick name.
> 
> - at one point, my Firefox test login dropped out of the chat session
> with "Internal server error" but it was happy to log in again 5 seconds
> later and showed the missed messages

Ouch. The Debian bug tracker will probably not permit bug reports
against the package yet. It should be added to the upstream bug tracker.
Anonymous mode by default should not be difficult to implement and I
think it would be useful.

> - I don't think the setup wizard should appear the first time somebody
> browses to the page: the admin password should be set during
> installation perhaps.  With Drupal, it is necessary to browse to
> install.php to force the setup wizard to run, so random visitors don't
> start Drupal setup by accident.  This is not highly secure either, but
> it removes some risk of random chance.

Great idea. I will ask the Jappix developers for guidance and adapt the
default configuration based on their answer.

> - Please add a README.Debian
> 
> - if you can, include something in README.Debian about how people can
> integrate Jappix into their existing web site

This is definitely needed.

> - it would be particularly interesting if you provide, under
> /usr/share/doc/jappix some sample ejabberd.cfg or a diff from the
> default Debian ejabberd.cfg - I had to enable the mod_http_bind module,
> declare a new domain for my anonymous web users and then declare that
> http_bind was permitted for that domain.

I have been running Prosody for some time so I'm a bit unfamiliar with
ejabberd. If you can describe the changes to the configuration, I will
include them in the aforementioned README.Debian file :)

> - when I installed the .deb package, it tries to restart apache although
> I have apache2, so it gives an error:
> 
> [ ok ] Reloading web server config: apache2.
> Setting up jappix (0.9.8+dfsg-1) ...
> invoke-rc.d: unknown initscript, /etc/init.d/apache not found.
> [ ok ] Reloading web server config: apache2.

The postinstall script detects the presence of Apache (apache or
apache2) and attemps to restart both. This could be improved and I will
look into that. On my system running nginx, the script tries to restart
both inexisting servers.

> - the font you mentioned in an earlier email - is there any reason it
> couldn't be listed in a separate source package in your control file?

I just assumed that is might not be the best practice to generate
unrelated packages from the same source. Still, it would be technically
easy to do.


Thank you and best regards,


-- 
Philippe Gauthier <philippe.gauthier@deuxpi.ca>
http://www.deuxpi.ca/



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Philippe Gauthier <philippe.gauthier@deuxpi.ca>:
Bug#619347; Package wnpp. (Tue, 16 Jul 2013 16:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Pocock <daniel@pocock.com.au>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Philippe Gauthier <philippe.gauthier@deuxpi.ca>. (Tue, 16 Jul 2013 16:15:04 GMT) Full text and rfc822 format available.

Message #62 received at 619347@bugs.debian.org (full text, mbox):

From: Daniel Pocock <daniel@pocock.com.au>
To: Philippe Gauthier <philippe.gauthier@deuxpi.ca>
Cc: 619347@bugs.debian.org, debian-mentors@lists.debian.org
Subject: Re: Bug#619347: testing the Jappix package from mentors
Date: Tue, 16 Jul 2013 18:13:16 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

On 16/07/13 18:02, Philippe Gauthier wrote:
> Hi Daniel,
>
> Thanks for testing the package. I am not a member of the upstream
> developers, but they have been very responsive to our comments so far.
>> My testing is biased: I already had ejabberd running and I had already
>> used BOSH to integrate with the Candy chat client so my server was able
>> to run Jappix very quickly. It took me all of about 5 minutes to get it
>> going.
>>
>> So far, I feel the Jappix chat client is more reliable for both group
>> chat and private chat than the Candy client. The Candy client would get
>> into a bad state after trying to start any private chat.
>>
>> It was very easy for me to just disable the stuff in
>> /etc/apache2/conf.d/jappix.conf and set it up in a virtual host. In my
>> Apache2 virtual host, I used the following to force it to work with my
>> ejabberd:
>>
>> RewriteEngine On
>> # for Candy:
>> RewriteRule ^/example/http-bind/ http://ejabberd-host:5280/http-bind/ [P]
>> # for Jappix:
>> RewriteRule ^/http-bind http://ejabberd-host:5280/http-bind/ [P]
>
> I will add this line to the /etc/apache2/conf.d/jappix.conf file
> (possibly commented out). This is also the configuration I was using on
> Apache.

Be careful though... it depends on mod_rewrite which may not always be
enabled

upstream wiki also recommends another entry in the apache conf:

Header set Access-Control-Allow-Origin "*"

That depends on mod_header, which is also not enabled be default.  I'm
not sure why that is needed though if everything is forced through a
single domain with mod_rewrite, maybe upstream can clarify.

You might need to wrap all of that in conditional config statements, e.g.

<IfModule mod_rewrite.....

and add notes about it all in README.Debian
>
>> Various issues:
>>
>> - I feel there are a lot of options in the Jappix setup wizard. People
>> not familiar with Jabber may not know all the server names they need to
>> insert and the guesses are not going to be correct for a high percentage
>> of users. This is an issue for upstream to improve.
>>
>> - the user login form: there should be an easy way to customize it, many
>> people will just want the user logged in anonymously, without the full
>> form. Candy has various login modes, in one case, it just asks the user
>> to choose a nick name.
>>
>> - at one point, my Firefox test login dropped out of the chat session
>> with "Internal server error" but it was happy to log in again 5 seconds
>> later and showed the missed messages
>
> Ouch. The Debian bug tracker will probably not permit bug reports
> against the package yet. It should be added to the upstream bug tracker.
> Anonymous mode by default should not be difficult to implement and I
> think it would be useful.

I think I might have found some stuff about this in the upstream wiki,
I'll continue exploring it as well

>
>> - I don't think the setup wizard should appear the first time somebody
>> browses to the page: the admin password should be set during
>> installation perhaps. With Drupal, it is necessary to browse to
>> install.php to force the setup wizard to run, so random visitors don't
>> start Drupal setup by accident. This is not highly secure either, but
>> it removes some risk of random chance.
>
> Great idea. I will ask the Jappix developers for guidance and adapt the
> default configuration based on their answer.
>
>> - Please add a README.Debian
>>
>> - if you can, include something in README.Debian about how people can
>> integrate Jappix into their existing web site
>
> This is definitely needed.
>
>> - it would be particularly interesting if you provide, under
>> /usr/share/doc/jappix some sample ejabberd.cfg or a diff from the
>> default Debian ejabberd.cfg - I had to enable the mod_http_bind module,
>> declare a new domain for my anonymous web users and then declare that
>> http_bind was permitted for that domain.
>
> I have been running Prosody for some time so I'm a bit unfamiliar with
> ejabberd. If you can describe the changes to the configuration, I will
> include them in the aforementioned README.Debian file :)

Ok, I'll try and pull out a diff and send it to the ITP bug

>
>> - when I installed the .deb package, it tries to restart apache although
>> I have apache2, so it gives an error:
>>
>> [ ok ] Reloading web server config: apache2.
>> Setting up jappix (0.9.8+dfsg-1) ...
>> invoke-rc.d: unknown initscript, /etc/init.d/apache not found.
>> [ ok ] Reloading web server config: apache2.
>
> The postinstall script detects the presence of Apache (apache or
> apache2) and attemps to restart both. This could be improved and I will
> look into that. On my system running nginx, the script tries to restart
> both inexisting servers.

Little things like that will bother people and it undermines their first
impression of the package so it is a good idea to make them run smoothly

>
>> - the font you mentioned in an earlier email - is there any reason it
>> couldn't be listed in a separate source package in your control file?
>
> I just assumed that is might not be the best practice to generate
> unrelated packages from the same source. Still, it would be technically
> easy to do.

It is quite OK to build multiple packages like that in this case.

If you can find the origin of the font you could package it standalone
and upload it independently on mentors

Are you in the process of joining the Debian Maintainer program or
applying to become a Debian Developer?  Have you been able to meet with
any other local Debian Developers who can sign your PGP key, etc?

Regards,

Daniel


-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBCAAGBQJR5XEbAAoJEOm1uwJp1aqDrrkQAL9PSFMxoKE5KFTqQIAWSOX2
zbneLJh5da+NMJW3MdHcze9lrLopPNtxF0Q/Z2MYjUTdwFTPrvuF+yHv199HAinr
q6HclAbM8ArcfSr2g5fUTGN3iFkddiwNAF2a3rIaqxE1N5HcJHLETLQPovZtSKg1
odKUyzyQ9nREGl6W6cd27lv4hgVnPV6QOAjr61+Ypd9KOkE0P8cgTy/Ty0pExM7P
3y75xV7h6RWpUhdMHz5WUrMnbGUyB9HAiyDVlZXSqvVypvkntsV7BVdavCL7FgPn
lFGXJc5ytcQ/NjKA/5cG1l+oHBvZqcvkjHHWSRIfPo4qjr1ao1p+Z3jJt+FcTDeL
Fz27nPDOQGvpanCBTxaKzOIbUAgIBkUNUcPgdch/O9h/+YhMAuaAqjBNgPtTtymn
WL+Hs11hL0/Wf9u4RbKrJHGALe5uqmMdLGS5l+iG+eMRMoIvLCE+ZxINH4nbU4x+
kgItmi+FaglBYSsarQLgX13LgsQf6OcGXxBla3xSmyrZT+u4+WPSW+3A3QGwKRhL
DIML8r9mfQciBPROtbDVroEumO6nxVqU64Z3zarLZDZ4I9kWKH2+B1PnV4iU7hSz
C4G1FcDnU6H34ubZLZon24hAGIXYeLxYyUEB2jizFTiBCyYaube/Xn1ygXynPCBz
K4TbmrYeT+tTkI1IfKcn
=ktb+
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 13:32:52 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.